mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("AFBF15E5-C37C-11d2-B88E-00A0C9B471B8")

The interface is used to interoperate with the IDispatch interface. defines a subset of the reflection methods. Implementing this interface enables a type to customize its behavior when the object is being accessed from COM as an IDispatch object. The class can be used to marshal an object that implements or as a COM IDispatch object, and vice versa.

Interoperates with the IDispatch interface.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` `` To be added

  Returns the object that corresponds to the specified field and binding flag.

  A object containing the field information for the named object that meets the search constraints specified in .

  The name of the field to find. The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  The match is based upon a name. Each field must have a unique name. The flag specifies that non-public methods are included in the search. The flag specifies that public methods are included in the search.

  Returns an array of objects that correspond to all fields of the current class.

  An array of objects containing all the field information for this reflection object that meets the search constraints specified in .

  The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` ``

  The method retrieves an array of objects by using the name and binding attribute that correspond to all public members or to all members that match a specified name. The case of the specified name is observed or ignored, as specified by .

  Retrieves an array of objects corresponding to all public members or to all members that match a specified name.

  An array of objects matching the parameter.

  The name of the member to find. The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  This method retrieves an array of objects by using the binding attribute that corresponds either to all public members or to all members of the current class. It returns an array of all of the members defined for this object.

  Retrieves an array of objects that correspond either to all public members or to all members of the current class.

  An array of objects containing all the member information for this reflection object.

  The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` To be added

  Retrieves a object that corresponds to a specified method under specified search constraints.

  A object containing the method information, with the match being based on the method name and search constraints specified in .

  The name of the member to find. The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` ``

  The return value is a match based on the method name, enum member, the kind of type conversion specified by the parameter, the overload, and the that describes the signature of the method.

  Retrieves a object corresponding to a specified method, using a array to choose from among overloaded methods.

  The requested method that matches all the specified parameters.

  The name of the member to find. The binding attributes used to control the search. An object that implements , containing properties related to this method. An array used to choose among overloaded methods. An array of parameter modifiers used to make binding work with parameter signatures in which the types have been modified.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  The non-public attribute of is indicated only if public methods are returned.

  Retrieves an array of objects with all public methods or all methods of the current class.

  An array of objects containing all the methods defined for this reflection object that meet the search constraints specified in .

  The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[] `` To be added

  Retrieves an array of objects corresponding to all public properties or to all properties of the current class.

  An array of objects for all the properties defined on the reflection object.

  The binding attribute used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` To be added

  Retrieves a object corresponding to a specified property under specified search constraints.

  A object for the located property that meets the search constraints specified in , or null if the property was not located.

  The name of the property to find. The binding attributes used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` `` `` ``

  This method retrieves a object corresponding to a specified property under specified search constraints. A type array is used to choose from among overloaded methods.

  Retrieves a object that corresponds to a specified property with specified search constraints.

  A object for the located property, if a property with the specified name was located in this reflection object, or null if the property was not located.

  The name of the member to find. The binding attribute used to control the search. An object that implements , containing properties related to this method. The type of the property. An array used to choose among overloaded methods with the same name. An array used to choose the parameter modifiers.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` `` ``

  The method that is to be invoked must be accessible and provide the most specific match with the specified argument list, under the constraints of the specified binder and invocation attributes.

  A method is invoked if the number of parameters in the method declaration equals the number of arguments in the specified argument list, and the type of each argument can be converted by the binder to the type of the parameter.

  The array of parameter modifiers passed to the method must contain a single parameter modifier. Only the first parameter modifier is considered when determining which argument needs to be passed by reference when exposed to COM.

  The binder finds all matching methods, in accordance with the type of binding requested (, , and so on). The set of methods is filtered by the name, number of arguments, and a set of search modifiers defined in the binder. After the method is selected, it is invoked, and accessibility is checked at that point. The search may control which set of methods is searched based upon the accessibility attribute associated with the method. selects the method to be invoked. The default binder selects the most specific match.

  Access restrictions are ignored for fully trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked through reflection whenever the code is fully trusted.

  Invokes a specified member.

  The specified member.

  The name of the member to find. One of the invocation attributes. The parameter may be a constructor, method, property, or field. A suitable invocation attribute must be specified. Invoke the default member of a class by passing the empty string ("") as the name of the member. One of the bit flags. Implements , containing properties related to this method. The object on which to invoke the specified member. This parameter is ignored for static members. An array of objects that contains the number, order, and type of the parameters of the member to be invoked. This is an empty array if there are no parameters. An array of objects. This array has the same length as the parameter, representing the invoked member's argument attributes in the metadata. A parameter can have the following attributes: pdIn, pdOut, pdRetval, pdOptional, and pdHasDefault. These represent [In], [Out], [retval], [optional], and a default parameter, respectively. These attributes are used by various interoperability services. An instance of used to govern the coercion of types. For example, converts a String that represents 1000 to a Double value, since 1000 is represented differently by different cultures. If this parameter is null, the for the current thread is used. A String array of parameters.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the underlying type that represents the object.